<?php

class SplendidNetwork_XfRuAlbumsMore_Install
{
    public static function install($installedAddon)
    {
        $db = XenForo_Application::get('db');

        $installedVersion = is_array($installedAddon) ? $installedAddon['version_id'] : 0;

        if (1== 1) // Install Code for New Install
        {
        	$db->query("
                ALTER TABLE `xfr_useralbum`  
        		CHANGE COLUMN `album_type` 
        		`album_type` ENUM('public','private','global','members','followed','selected') NOT NULL DEFAULT 'public'
            ");
            
            
        	self::addColumnifNotExist($db, "xfr_useralbum", "selected_users", "BLOB NULL DEFAULT NULL");        
        }
        /*
        elseif($installedVersion == 1) // Install Code for Upgrade
        {
            // Do Nothing
        }
        */
    }

    public static function uninstall()
    {
        $db = XenForo_Application::get('db');

        self::deleteColumnIfExist($db, "xfr_useralbum", "selected_users");
    }

    public static function addColumnIfNotExist($db, $table, $field, $attr)
    {
        if ($db->fetchRow('SHOW columns FROM `'.$table.'` WHERE Field = ?', $field))
        {
            return false;
        }

        return $db->query("ALTER TABLE `".$table."` ADD `".$field."` ".$attr);
    }

    public static function deleteColumnIfExist($db, $table, $field)
    {
        if ($db->fetchRow('SHOW columns FROM `'.$table.'` WHERE Field = ?', $field))
        {
            return $db->query("ALTER TABLE `".$table."` DROP `".$field."`");
        }

        return false;
    }
}